CONDURE(1)

NAME
condure - HTTP/WebSocket connection manager

DESCRIPTION
condure 1.3.1 HTTP/WebSocket connection manager

  USAGE:

    condure [FLAGS] [OPTIONS]

  FLAGS:

-h, --help
    Prints help information

-V, --version
    Prints version information

--zclient-connect
    ZeroMQ client sockets should connect instead of bind

  OPTIONS:

--body-buffer-size <N>
    Body buffer size for connections in req mode [default: 100000]

--buffer-size <N>
    Connection buffer size (two buffers per connection) [default: 8192]

--id <ID>
    Instance ID [default: condure]

--ipc-file-mode <octal>
    Permissions for ZeroMQ IPC binds

--listen <[addr:]port[,params...]>...
    Port to listen on [default: 0.0.0.0:8000,stream]

--log-level <N>
    Log level [default: 2]

--messages-max <N>

    Maximum number of queued WebSocket messages per connection [default: 100]

--req-maxconn <N>
    Maximum number of concurrent connections in req mode [default: 100]

--req-timeout <N>
    Client timeout in req mode (seconds) [default: 30]

--stream-maxconn <N>

    Maximum number of concurrent connections in stream mode [default: 10000]

--stream-timeout <N>
    Client timeout in stream mode (seconds) [default: 1800]

--tls-identities-dir <directory>
    Directory containing certificates and private keys [default: .]

--workers <N>
    Number of worker threads [default: 2]

--zclient-req <spec>...
    ZeroMQ client REQ spec [default: ipc://client]

--zclient-stream <spec-base>...
    ZeroMQ client PUSH/ROUTER/SUB spec base [default: ipc://client]